Subject: Re: [PATCH v2 1/8] pack-objects: use standard option incompatibility functions

From: Junio C Hamano <[email-masked]>
Date: Tue, 15 Apr 2025 12:48:53 -0700

Taylor Blau <[email-masked]> writes:

> Now I can't un-see it ;-). Even though it's not a correctness issue as
> you note, the whole thing leaves a bad taste in my mouth. I'll swap the
> ordering to match the original in the next round.

I do not think we can be completely faithful to the original in this
rewrite, simply because the original is not consistent with what
die_for_incompat() thing produces and you'd need to adjust the test
anyway.  So unless there are other things you need to reroll, I
wouldn't worry about it too much.

Thanks.